Bug 846004 - IP disappears from the NON_VM Network on the NIC, when adding additional VLAN Network to the same NIC
IP disappears from the NON_VM Network on the NIC, when adding additional VLAN...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Igor Lvovsky
GenadiC
network
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 09:05 EDT by GenadiC
Modified: 2012-12-04 14:04 EST (History)
8 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-31.0
Doc Type: Bug Fix
Doc Text:
Previously, adding a second VLAN to a NIC caused the IP to disappear from the NON_VM network on the NIC. The IP of the NON_VM Network is now preserved when you add a second VLAN to a NIC.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:04:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm log (12.66 MB, application/octet-stream)
2012-08-06 09:05 EDT, GenadiC
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1508 normal SHIPPED_LIVE Important: rhev-3.1.0 vdsm security, bug fix, and enhancement update 2012-12-04 18:48:05 EST

  None (edit)
Description GenadiC 2012-08-06 09:05:42 EDT
Created attachment 602511 [details]
vdsm log

Description of problem:
When you configure Non VM network on the NIC of the host with static IP and then add VLAN Network to the same NIC on the VM, the static IP of the NON VM network becomes None

How reproducible:
Always

Steps to Reproduce:
1. Add NON_VM Network to the NIC1 of the host and configure static IP for it
2. Add another VLAN Network to the same NIC
3.
  
Actual results:
Static IP of the Non_VM Network disappears from NIC and becomes None

Expected results:
IP of NON_VM Network should be preserved

Additional info:
Comment 2 Igor Lvovsky 2012-08-16 07:33:03 EDT
Please verify it for NIC and BOND interfaces.

http://gerrit.ovirt.org/#/c/7259/1
Comment 4 GenadiC 2012-09-02 07:21:06 EDT
Verified in SI16
Comment 7 errata-xmlrpc 2012-12-04 14:04:38 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.